<?php if (!defined('HTTP_SERVER')) die('You can not access this file directly!');
/**
  @licence GPL 2005-2011  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  23/04/11, 09:55
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8
  @class GraphLoader
  @brief is special class for loader graph by ajax call. use in widget applet
*/
class GraphLoader {
  function __construct(){
  }

  public function ajax_in_Sats($args){
    $class=(isset($_REQUEST['vue']))? (string)$_REQUEST['vue']: $cl;
    $mini=(isset($_REQUEST['mini']) && _test_bool((string)$_REQUEST['mini']))? true : false;

    $img=GraphUtility::CallGraph($class, $mini);

    if(isset($_REQUEST['print']))  echo tep_image($img, '','',''). "\n";
    else return $img;
  }
}

?>